<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:b="http://www.release11.com/book" xmlns:p="http://www.release11.com/person"
    xmlns:l="http://www.release11.com/library">
    <xsl:template match="/">
        <Library>
            <ReaderCount>
                <xsl:value-of select="count(//p:person)" />
            </ReaderCount>
            <BookCount>
                <xsl:value-of select="count(/l:library/l:bookList/b:book)" />
            </BookCount>
        </Library>
    </xsl:template>
</xsl:stylesheet>